Subject: Re: looking for script - make typescript of terminal session
From: Soren A <[email-masked]>
To: [email-masked]
Date: Wed, 30 Oct 2002 09:36:46 +0000 (UTC)

Efi Fogel <[email-masked]> wrote in 
news:[email-masked]:

> I'm looking for 'script', the utility that makes a typescript of 
> everything printed on a terminal.
> 
> I couldn't find it in any one of the cygwin packages. Have I missed it? 

Yes, you did: not long ago, on Sept 27, a poster announced it:

   > From: Alan Evans <[email-masked]>
   > Subject: Cygwin port of the Unix 'script' utility.
   > Date: Fri, 27 Sep 2002 11:01:06 - 0700
   > Lines: 369
   > Message-ID: <[email-masked]>

> Is it available somewhere else? Is there something similar?

Now you can build it yourself, but there are a few errors or omissions
in Alan's code and build instructions, which I haven't had time to
inform him of yet. Basically check to make sure you have the cygwin
inetutils package installed because parts of that are prerequisite for
'script'. Also look for #includes in the top of his C file that are not 
needed. And so on.

I've used Alan's port a little and it seems to work perfectly, once I
had ironed out a couple of these build-time wrinkles. Thanks again,
Alan. 

   HTH.
    Soren A

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/